# Generated by Django 3.1.5 on 2022-08-04 06:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0025_auto_20220803_1953'),
    ]

    operations = [
        migrations.CreateModel(
            name='DifficultyType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True, verbose_name='Название')),
                ('description', models.CharField(blank=True, max_length=1000, null=True, verbose_name='Описание')),
                ('order_priority', models.IntegerField(default=1, verbose_name='Порядок сортировки')),
            ],
            options={
                'verbose_name': 'Вид сложности',
                'verbose_name_plural': 'Виды сложности',
                'ordering': ['order_priority'],
            },
        ),
        migrations.AlterField(
            model_name='targetgroup',
            name='description',
            field=models.CharField(blank=True, max_length=1000, null=True, verbose_name='Описание'),
        ),
        migrations.AlterField(
            model_name='tourismtype',
            name='description',
            field=models.CharField(blank=True, max_length=1000, null=True, verbose_name='Описание'),
        ),
        migrations.AddField(
            model_name='route',
            name='difficulty_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tourism.difficultytype', verbose_name='Вид ложности'),
        ),
    ]
